## python-werkzeug 0.1~svn3830

=== Makefile ===
#
# Jinja Makefile
# ~~~~~~~~~~~~~~
#
# Shortcuts for various tasks.
#
# :copyright: 2007 by Armin Ronacher.
# :license: BSD, see LICENSE for more details.
#

documentation:
	@(cd docs; ./generate.py)

webpage:
	@(cd ../www; ./generate.py)

test:
	@(cd tests; py.test $(TESTS))

## python-werkzeug 0.3.1

=== Makefile ===
#
# Werkzeug Makefile
# ~~~~~~~~~~~~~~~~~
#
# Shortcuts for various tasks.
#
# :copyright: 2007 by Armin Ronacher.
# :license: BSD, see LICENSE for more details.
#

documentation:
	@(cd docs; python ./generate.py)

test:
	@(cd tests; py.test $(TESTS))

## python-werkzeug 0.4.1

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #
 # Shortcuts for various tasks.
 #
-# :copyright: 2007 by Armin Ronacher.
+# :copyright: (c) 2008 by the Werkzeug Team, see AUTHORS for more details.
 # :license: BSD, see LICENSE for more details.
 #

## python-werkzeug 0.6.2

=== Makefile ===
--- 
+++ 
@@ -8,8 +8,22 @@
 # :license: BSD, see LICENSE for more details.
 #
 
+TESTS = \
+	tests \
+	tests/contrib
+
+TEST_OPTIONS = \
+	-v \
+	-e '^test_app$$' #skip the test_app application object which is not a test
+
 documentation:
-	@(cd docs; python ./generate.py)
+	@(cd docs; make html)
 
 test:
-	@(cd tests; py.test $(TESTS))
+	@(nosetests $(TEST_OPTIONS) $(TESTS))
+
+coverage:
+	@(nosetests $(TEST_OPTIONS) --with-coverage --cover-package=werkzeug --cover-html --cover-html-dir=coverage_out $(TESTS))
+
+doctest:
+	@(cd docs; sphinx-build -b doctest . _build/doctest)

## python-werkzeug 0.8.1+dfsg

=== debian/changelog ===
python-werkzeug (0.8.1+dfsg-1) unstable; urgency=low

  * New upstream release
    - no longer double quotes location header during redirects. Closes: #594172
    - ubuntu.ttf removed from upstream tarball (cannot regenerate this file
      using free tools), get-orig-source target added to debian/rules
    - compatible with ipython 0.11. Closes: 636470
  * Bump minimum debhelper version to 8.1.0 (which no longer compresses
    objects.inv files, closes: #608751)
  * Switch from dh_pysupport to dh_python2
  * Source format changed to 3.0 (quilt)
  * Let dh_sphinxdoc handle documentation files, python-sphinx build
    dependency bumped to 1.0.7+dfsg-1
  * Standards-Version bumped to 3.9.2 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 16 Oct 2011 15:01:03 +0200

python-werkzeug (0.6.2-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 23 Apr 2010 19:53:19 +0200

python-werkzeug (0.6.1-1) unstable; urgency=low

  * New upstream release
    - supports IPv6 addresses. Closes: #569336

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 13 Apr 2010 21:35:42 +0200

python-werkzeug (0.6-1) unstable; urgency=low

  * New upstream release
  * Add python-openssl to Recommends
  * Add python-memcache to Suggests
  * Add "python (>= 2.6)" as an alternative dependency to python-simplejson
  * Remove MacOS DS store and resource fork files in clean rule
  * Standards-Version bumped to 3.8.4 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 19 Feb 2010 18:55:34 +0100

python-werkzeug (0.5.1-1) unstable; urgency=low

  [ Noah Slater ]
  * New upstream release (0.5). Closes: #536465
  * Updated debian/control, removed Depends on python-wsgiref.
  * Updated debian/control, updated Build-Depends on debhelper to 7.2.11.
  * Updated debian/rules, use /usr/share/pyshared directory. Closes: #517302

  [ Piotr Ożarowski ]
  * New upstream release (0.5.1)
  * New build dependencies:
    - python-simplejson (to build docs)
    - python-nose and python-lxml (to run tests)
  * Use dh sequencer instead of CDBS. Closes: #526577
  * Standards-Version bumped to 3.8.2 (no changes needed)
  * Add myself to Uploaders

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 07 Aug 2009 19:44:53 +0200

python-werkzeug (0.4.1-1) experimental; urgency=low

  * New upstream release. Closes: #511553
  * Added debian/README.source file.
  * Updated debian/control, updated Vcs-Browser.
  * Updated debian/control, updated Description.
  * Updated debian/copyright, updated for latest format proposal.
  * Updated debian/rules, improved uscan options for get-orig-source.

 -- Noah Slater <nslater@tumbolia.org>  Sun, 18 Jan 2009 20:01:23 +0000

python-werkzeug (0.3.1-1) unstable; urgency=high

  * New upstream release, fixes a security issue.

 -- Noah Slater <nslater@tumbolia.org>  Wed, 25 Jun 2008 19:32:07 +0100

python-werkzeug (0.3-1) unstable; urgency=low

  * New upstream release.
  * Moved documentation to standard location.
  * Fixed shared file permissions.
  * Updated debian/control, updated Suggests.
  * Updated debian/control, updated Standards-Version to 3.8.0.
  * Updated debian/copyright, updated for latest format proposal.

 -- Noah Slater <nslater@tumbolia.org>  Tue, 17 Jun 2008 22:35:18 +0100

python-werkzeug (0.2-2) unstable; urgency=low

  * Updated debian/control, updated Depends. Closes: #468704

 -- Noah Slater <nslater@tumbolia.org>  Tue, 04 Mar 2008 23:40:55 +0000

python-werkzeug (0.2-1) unstable; urgency=low

  * New upstream release.
  * Updated debian/control, updated Uploaders.
  * Updated debian/control, updated Vcs-Browser.
  * Updated debian/control, updated Depends.

 -- Noah Slater <nslater@tumbolia.org>  Mon, 25 Feb 2008 10:30:54 +0000

python-werkzeug (0.1-1) unstable; urgency=low

  * New upstream release.
  * Added debian/watch file.
  * Updated debian/control, added Recommends.
  * Updated debian/control, added Suggests.
  * Updated debian/control, updated Standards-Version to 3.7.3.
  * Updated debian/control, updated Build-Depends-Indep.

 -- Noah Slater <nslater@tumbolia.org>  Fri, 28 Dec 2007 11:09:34 +0000

python-werkzeug (0.1~svn3830-2) unstable; urgency=low

  * Updated debian/control, added Homepage.
  * Updated debian/control, added Vcs-Svn.
  * Updated debian/control, added Vcs-Browser.
  * Updated debian/control, updated Build-Depends.
  * Updated debian/control, removed additional Priority.
  * Updated debian/copyright, changed ordering of sections.

 -- Noah Slater <nslater@tumbolia.org>  Sat, 03 Nov 2007 01:10:16 +0000

python-werkzeug (0.1~svn3830-1) experimental; urgency=low

  * Initial release. Closes: #433991

 -- Noah Slater <nslater@tumbolia.org>  Fri, 20 Jul 2007 20:53:52 +0100

## python-werkzeug 0.8.2+dfsg

=== debian/changelog ===
python-werkzeug (0.8.2+dfsg-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 08 Jan 2012 20:10:33 +0100

## python-werkzeug 0.8.3+dfsg

=== debian/changelog ===
python-werkzeug (0.8.3+dfsg-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 14 Jan 2013 19:42:20 +0100

python-werkzeug (0.8.3+dfsg-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 05 Feb 2012 23:33:49 +0100

=== debian/control ===
Source: python-werkzeug
Section: python
Priority: optional
Maintainer: Noah Slater <nslater@tumbolia.org>
Uploaders: Piotr Ożarowski <piotr@debian.org>,
 Python Modules Packaging Team <python-modules-team@lists.alioth.debian.org>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 8.1.0), python (>= 2.6.6-3), python-sphinx (>= 1.0.7+dfsg-1~)
Build-Depends-Indep: python-setuptools (>= 0.6b3),
 python-simplejson, python-nose, python-lxml
Homepage: http://werkzeug.pocoo.org/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-werkzeug/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-werkzeug/trunk/
X-Python-Version: >= 2.3

Package: python-werkzeug
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, libjs-jquery
Recommends: python-simplejson | python (>= 2.6), python-openssl
Suggests: ipython, python-genshi, python-pkg-resources, python-lxml, python-memcache,
 ${sphinxdoc:Depends}
Description: collection of utilities for WSGI applications
 The Web Server Gateway Interface (WSGI) is a standard interface between web
 server software and web applications written in Python.
 .
 Werkzeug is a lightweight library for interfacing with WSGI. It features
 request and response objects, an interactive debugging system and a powerful
 URI dispatcher. Combine with your choice of third party libraries and
 middleware to easily create a custom application framework.

=== debian/rules ===
#!/usr/bin/make -f

# Copyright 2009, Noah Slater <nslater@tumbolia.org>

# Copying and distribution of this file, with or without modification, are
# permitted in any medium without royalty provided the copyright notice and this
# notice are preserved.

export PYTHONPATH=$(abspath $(CURDIR))
PKGDIR=$(CURDIR)/debian/python-werkzeug/

include /usr/share/python/python.mk

%:
	dh $@ --with python2,sphinxdoc

override_dh_auto_install:
	python setup.py install \
		--single-version-externally-managed \
		--install-layout=deb \
		--root $(PKGDIR)
	dh_link usr/share/javascript/jquery/jquery.js \
	  $(call py_libdir,$(shell pyversions -vd))/werkzeug/debug/shared/jquery.js
	dh_link /usr/share/doc/python-werkzeug/html/_sources \
		/usr/share/doc/python-werkzeug/rst

override_dh_fixperms:
	find $(PKGDIR) -name '*\.png' -exec chmod -x '{}' \;
	dh_fixperms

clean:
	rm -rf build
	dh_clean
	make -C docs clean
	find $(CURDIR) -name '*\.py[co]' -delete
	find $(CURDIR) \( -name '\._*' -o -name '\.DS_Store' \) -delete

get-orig-source:
	trap 'rm -rf $(CURDIR)/.werkzeug-tarball' EXIT;\
	VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-+]+).*,\1,p') &&\
	mkdir -p .werkzeug-tarball &&\
	uscan --force-download --rename --destdir=.werkzeug-tarball --upstream-version=$$VER &&\
	cd .werkzeug-tarball &&\
	tar xf python-werkzeug*tar.gz --exclude ubuntu.ttf --exclude FONT_LICENSE &&\
	tar Jcf ../python-werkzeug_$$VER+dfsg.orig.tar.xz Werkzeug-$$VER

## python-werkzeug 0.9.3+dfsg

=== debian/changelog ===
python-werkzeug (0.9.3+dfsg-2ubuntu2) saucy; urgency=low

  * Run the tests with LC_ALL=C.UTF-8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 27 Sep 2013 09:28:46 +0200

python-werkzeug (0.9.3+dfsg-2ubuntu1) saucy; urgency=low

  * Drop the build dependencies on the memcache servers, not in main.
    The tests run these tests conditionally, and for python2 only.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Sep 2013 15:24:39 +0200

python-werkzeug (0.9.3+dfsg-2) unstable; urgency=low

  * Add python3-werkzeug binary package
  * Move docs and examples to new python-werkzeug-doc binary package
  * Switch to pybuild buildsystem
  * Add redis and memcached related packages to Build-Depends (used in tests)
  * Set debhelper compatibility level to 9

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 08 Aug 2013 17:13:05 +0200

python-werkzeug (0.9.3+dfsg-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 26 Jul 2013 00:03:35 +0200

python-werkzeug (0.9.2+dfsg-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 22 Jul 2013 19:26:28 +0200

python-werkzeug (0.9.1+dfsg-1) unstable; urgency=low

  * New upstream release
  * Run tests with LC_ALL=C.UTF-8

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 16 Jun 2013 11:51:23 +0200

python-werkzeug (0.9+dfsg-1) unstable; urgency=low

  [ Piotr Ożarowski ]
  * New upstream release
  * Suggest new packages:
    - python-greenlet (used in werkzeug.contrib.iterio)
    - python-redis (used in werkzeug.contrib.cache)
    - python-pylibmc (as an alternative to python-memcache,
      used in werkzeug.contrib.cache)
  * Recommend python-pyinotify (used in werkzeug.serving)
  * Remove Werkzeug.egg-info in clean target
  * Minimum required Python version bumped to 2.5 (due to with statements)
  * Standards-Version bumped to 3.9.4 (no changes needed)

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 13 Jun 2013 22:04:15 +0200

=== debian/control ===
Source: python-werkzeug
Section: python
Priority: optional
Maintainer: Noah Slater <nslater@tumbolia.org>
Uploaders: Piotr Ożarowski <piotr@debian.org>,
 Python Modules Packaging Team <python-modules-team@lists.alioth.debian.org>
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 9), dh-python, python-sphinx (>= 1.0.7+dfsg-1~),
 python-all, python3-all,
 python-setuptools (>= 0.6b3), python3-setuptools (>= 0.6b3),
# for tests:
 python-simplejson, python3-simplejson,
 python-nose, python3-nose,
 python-lxml, python3-lxml
Homepage: http://werkzeug.pocoo.org/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-werkzeug/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-werkzeug/trunk/
X-Python-Version: >= 2.5
X-Python3-Version: >= 3.3

Package: python-werkzeug
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, libjs-jquery
Recommends: python-simplejson | python (>= 2.6), python-openssl, python-pyinotify
Suggests: ipython, python-genshi, python-pkg-resources, python-lxml,
 python-greenlet, python-redis, python-pylibmc | python-memcache,
 python-werkzeug-doc
Description: collection of utilities for WSGI applications
 The Web Server Gateway Interface (WSGI) is a standard interface between web
 server software and web applications written in Python.
 .
 Werkzeug is a lightweight library for interfacing with WSGI. It features
 request and response objects, an interactive debugging system and a powerful
 URI dispatcher. Combine with your choice of third party libraries and
 middleware to easily create a custom application framework.

Package: python3-werkzeug
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, libjs-jquery
Recommends: python3-simplejson | python3, python3-openssl, python3-pyinotify
Suggests: ipython3, python3-pkg-resources, python3-lxml,
 python-werkzeug-doc
Description: collection of utilities for WSGI applications
 The Web Server Gateway Interface (WSGI) is a standard interface between web
 server software and web applications written in Python.
 .
 Werkzeug is a lightweight library for interfacing with WSGI. It features
 request and response objects, an interactive debugging system and a powerful
 URI dispatcher. Combine with your choice of third party libraries and
 middleware to easily create a custom application framework.

Package: python-werkzeug-doc
Section: doc
Architecture: all
Priority: extra
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Conflicts: python-werkzeug (<< 0.9.3+dfsg-2)
Replaces: python-werkzeug (<< 0.9.3+dfsg-2)
Description: documentation for the werkzeug Python library
 Werkzeug is a lightweight library for interfacing with WSGI. It features
 request and response objects, an interactive debugging system and a powerful
 URI dispatcher. Combine with your choice of third party libraries and
 middleware to easily create a custom application framework.

=== debian/rules ===
#!/usr/bin/make -f

# Copyright 2009, Noah Slater <nslater@tumbolia.org>

# Copying and distribution of this file, with or without modification, are
# permitted in any medium without royalty provided the copyright notice and this
# notice are preserved.

export PYBUILD_DESTDIR_python2=debian/python-werkzeug/
export PYBUILD_DESTDIR_python3=debian/python3-werkzeug/

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem pybuild

override_dh_auto_clean:
	make -C docs clean
	rm -rf build Werkzeug.egg-info/
	#find $(CURDIR) \( -name '\._*' -o -name '\.DS_Store' \) -delete
	dh_auto_clean

override_dh_auto_test:
	LC_ALL=C.UTF-8 http_proxy='' dh_auto_test

override_dh_auto_install:
	dh_auto_install
	make documentation

override_dh_python2:
	dh_python2
	dh_link -p python-werkzeug /usr/share/javascript/jquery/jquery.js \
	  /usr/share/pyshared/werkzeug/debug/shared/jquery.js

override_dh_python3:
	dh_python3
	dh_link -p python3-werkzeug /usr/share/javascript/jquery/jquery.js \
	  /usr/lib/python3/dist-packages/werkzeug/debug/shared/jquery.js

override_dh_fixperms:
	find debian/ -name '*\.png' -exec chmod -x '{}' \;
	dh_fixperms

get-orig-source:
	trap 'rm -rf $(CURDIR)/.werkzeug-tarball' EXIT;\
	VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-+]+).*,\1,p') &&\
	mkdir -p .werkzeug-tarball &&\
	uscan --force-download --rename --destdir=.werkzeug-tarball --upstream-version=$$VER &&\
	cd .werkzeug-tarball &&\
	tar xf python-werkzeug*tar.gz --exclude ubuntu.ttf --exclude FONT_LICENSE &&\
	tar Jcf ../python-werkzeug_$$VER+dfsg.orig.tar.xz Werkzeug-$$VER

## python-werkzeug 0.9.4%2Bdfsg

=== Makefile ===
#
# Werkzeug Makefile
# ~~~~~~~~~~~~~~~~~
#
# Shortcuts for various tasks.
#
# :copyright: (c) 2008 by the Werkzeug Team, see AUTHORS for more details.
# :license: BSD, see LICENSE for more details.
#

documentation:
	@(cd docs; make html)

release:
	python scripts/make-release.py

test:
	python run-tests.py

tox-test:
	tox

coverage:
	@(nosetests $(TEST_OPTIONS) --with-coverage --cover-package=werkzeug --cover-html --cover-html-dir=coverage_out $(TESTS))

doctest:
	@(cd docs; sphinx-build -b doctest . _build/doctest)

upload-docs:
	$(MAKE) -C docs html dirhtml latex
	$(MAKE) -C docs/_build/latex all-pdf
	cd docs/_build/; mv html werkzeug-docs; zip -r werkzeug-docs.zip werkzeug-docs; mv werkzeug-docs html
	rsync -a docs/_build/dirhtml/ pocoo.org:/var/www/werkzeug.pocoo.org/docs/
	rsync -a docs/_build/latex/Werkzeug.pdf pocoo.org:/var/www/werkzeug.pocoo.org/docs/werkzeug-docs.pdf
	rsync -a docs/_build/werkzeug-docs.zip pocoo.org:/var/www/werkzeug.pocoo.org/docs/werkzeug-docs.zip

## python-werkzeug 0.9.4%2bdfsg

=== debian/changelog ===
python-werkzeug (0.9.4+dfsg-1.1ubuntu2) trusty-proposed; urgency=medium

  * Convert arguments to bytes for hmac.compare_digest. Fixes a test
    failure with flask. https://github.com/mitsuhiko/werkzeug/issues/537
    LP: #1382085.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 16 Oct 2014 16:43:20 +0200

python-werkzeug (0.9.4+dfsg-1.1ubuntu1) trusty; urgency=medium

  * Merge with Debian; remaining changes:
    - Run the tests with LC_ALL=C.UTF-8.
    - Drop the build dependencies on the memcache servers, not in main.
      The tests run these tests conditionally, and for python2 only.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Jan 2014 04:54:56 +0100

python-werkzeug (0.9.4+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Start memcached for tests, thanks to Sebastian Ramacher for the patch
    (Closes: #725594)

 -- Gaudenz Steinlin <gaudenz@debian.org>  Mon, 06 Jan 2014 19:01:32 +0100

python-werkzeug (0.9.4+dfsg-1) unstable; urgency=low

  * New upstream release
  * Backport b23efe87 commit to fix failing test on Python 3.3
  * Standards-Version bumped to 3.9.5 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 03 Dec 2013 19:33:17 +0100

## python-werkzeug 0.9.4+dfsg

=== debian/changelog ===
python-werkzeug (0.9.4+dfsg-1.1ubuntu2.1) trusty-security; urgency=medium

  * SECURITY UPDATE: Cross-site vulnerability in render_full function allows
    attackers to inject arbitrary script or HTML.
    - debian/patches/CVE-2016-10516.patch: in werkzeub/debug/tbtools.py.
    - CVE-2016-10516

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Tue, 24 Oct 2017 17:13:01 -0300

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: python-werkzeug
 Section: python
 Priority: optional
-Maintainer: Noah Slater <nslater@tumbolia.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Noah Slater <nslater@tumbolia.org>
 Uploaders: Piotr Ożarowski <piotr@debian.org>,
  Python Modules Packaging Team <python-modules-team@lists.alioth.debian.org>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 9), dh-python, python-sphinx (>= 1.0.7+dfsg-1~),
  python-all, python3-all,
  python-setuptools (>= 0.6b3), python3-setuptools (>= 0.6b3),

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,11 @@
 	dh_auto_clean
 
 override_dh_auto_test:
+# don't use memcached, not in main
+#	set -ex; \
+#		memcached -p 11211 -l 127.0.0.1 & \
+#		trap "kill $$! || true" EXIT; \
+#		http_proxy='' dh_auto_test; \
 	LC_ALL=C.UTF-8 http_proxy='' dh_auto_test
 
 override_dh_auto_install:

## python-werkzeug 0.9.6+dfsg

=== debian/changelog ===
python-werkzeug (0.9.6+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Remove b23efe87 patch (no longer needed)
  * Add 13218dea patch to fix tests on Python 3.4 (closes: 745852)
  * Add maxsize fix for Python 3 (backported 0bad0c25 commit)
  * Hardcode LC_ALL to C.UTF-8 while invoking tests to workaround pbuilder's
    ancient defaults (closes: 739077)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 10 Jun 2014 20:47:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-werkzeug
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Noah Slater <nslater@tumbolia.org>
+Maintainer: Noah Slater <nslater@tumbolia.org>
 Uploaders: Piotr Ożarowski <piotr@debian.org>,
  Python Modules Packaging Team <python-modules-team@lists.alioth.debian.org>
 Standards-Version: 3.9.5
@@ -12,7 +11,9 @@
 # for tests:
  python-simplejson, python3-simplejson,
  python-nose, python3-nose,
- python-lxml, python3-lxml
+ python-lxml, python3-lxml,
+ redis-server, python-redis,
+ memcached, python-pylibmc
 Homepage: http://werkzeug.pocoo.org/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-werkzeug/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-werkzeug/trunk/

=== debian/rules ===
--- 
+++ 
@@ -19,12 +19,10 @@
 	dh_auto_clean
 
 override_dh_auto_test:
-# don't use memcached, not in main
-#	set -ex; \
-#		memcached -p 11211 -l 127.0.0.1 & \
-#		trap "kill $$! || true" EXIT; \
-#		http_proxy='' dh_auto_test; \
-	LC_ALL=C.UTF-8 http_proxy='' dh_auto_test
+	set -ex; \
+		memcached -p 11211 -l 127.0.0.1 & \
+		trap "kill $$! || true" EXIT; \
+		http_proxy='' LC_ALL=C.UTF-8 dh_auto_test; \
 
 override_dh_auto_install:
 	dh_auto_install

## python-werkzeug 0.10.4+dfsg1

=== debian/changelog ===
python-werkzeug (0.10.4+dfsg1-1ubuntu1.2) xenial-security; urgency=medium

  * SECURITY UPDATE: Open redirect vulnerability
    - debian/patches/CVE-2020-28724.patch: serving absolute request URLs,
      adding tests werkzeug/serving.py, tests/test_serving.py.
    - CVE-2020-28724

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Mon, 30 Nov 2020 10:37:20 -0300

python-werkzeug (0.10.4+dfsg1-1ubuntu1.1) xenial-security; urgency=medium

  * SECURITY UPDATE: Cross-site vulnerability in render_full function allows
    attackers to inject arbitrary script or HTML.
    - debian/patches/CVE-2016-10516.patch: in werkzeub/debug/tbtools.py.
    - CVE-2016-10516

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Tue, 24 Oct 2017 17:16:25 -0300

python-werkzeug (0.10.4+dfsg1-1ubuntu1) wily; urgency=medium

  * Merge with Debian; remaining changes:
    - Run the tests with LC_ALL=C.UTF-8.
    - Drop the build dependencies on the memcache servers, not in main.
      The tests run these tests conditionally, and for python2 only.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Sep 2015 10:52:02 +0200

python-werkzeug (0.10.4+dfsg1-1) unstable; urgency=medium

  * New upstream release (closes: 792802)
    - drop no longer needed 13218de4.patch and 0bad0c25.patch
    - add missing docs/_themes to the upstream tarball
  * Remove ubuntu.ttf, jquery.js and Werkzeug.egg-info via Files-Excluded in
    debian/copyright (egg-info one closes: 671254)
  * debian/watch: use pypi.debian.net redirector
  * debian/rules: remove no longer needed get-orig-source and use
    debian/python{3,}-werkzeug.links files instead of override_dh_python
  * Replace Noah with DPMT in Maintainer (thanks Noah for all your work)
  * Standards-Version bumped to 3.9.6 (no changes needed)
  * Add python{3,}-requests and python{3,}-pytest to Build-Depends
    (upstream switched test suite to py.tests)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 20 Jul 2015 21:09:06 +0200

python-werkzeug (0.9.6+dfsg-1ubuntu1) utopic; urgency=medium

  * Merge with Debian; remaining changes:
    - Run the tests with LC_ALL=C.UTF-8.
    - Drop the build dependencies on the memcache servers, not in main.
      The tests run these tests conditionally, and for python2 only.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 04 Aug 2014 17:48:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: python-werkzeug
 Section: python
 Priority: optional
-Maintainer: Noah Slater <nslater@tumbolia.org>
-Uploaders: Piotr Ożarowski <piotr@debian.org>,
- Python Modules Packaging Team <python-modules-team@lists.alioth.debian.org>
-Standards-Version: 3.9.5
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Python Modules Packaging Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Piotr Ożarowski <piotr@debian.org>
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9), dh-python, python-sphinx (>= 1.0.7+dfsg-1~),
  python-all, python3-all,
  python-setuptools (>= 0.6b3), python3-setuptools (>= 0.6b3),
 # for tests:
+ python-pytest, python3-pytest,
+ python-requests, python3-requests,
  python-simplejson, python3-simplejson,
  python-nose, python3-nose,
- python-lxml, python3-lxml,
- redis-server, python-redis,
- memcached, python-pylibmc
+ python-lxml, python3-lxml
 Homepage: http://werkzeug.pocoo.org/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-werkzeug/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-werkzeug/trunk/

=== debian/rules ===
#!/usr/bin/make -f

# Copyright 2009, Noah Slater <nslater@tumbolia.org>

# Copying and distribution of this file, with or without modification, are
# permitted in any medium without royalty provided the copyright notice and this
# notice are preserved.

export PYBUILD_NAME=werkzeug
export PYBUILD_TEST_PYTEST=1
# disable some tests as pytest.xprocess is not yet packaged
export PYBUILD_TEST_ARGS={dir}/tests -k-tests/contrib/test_cache.py

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem pybuild

override_dh_auto_clean:
	make -C docs clean
	rm -rf build Werkzeug.egg-info/
	#find $(CURDIR) \( -name '\._*' -o -name '\.DS_Store' \) -delete
	dh_auto_clean

override_dh_auto_test:
# don't use memcached, not in main
	set -ex; \
		memcached -p 11211 -l 127.0.0.1 & \
		trap "kill $$! || true" EXIT
	http_proxy='' LC_ALL=C.UTF-8 dh_auto_test

override_dh_auto_install:
	dh_auto_install
	make documentation

override_dh_fixperms:
	find debian/ -name '*\.png' -exec chmod -x '{}' \;
	dh_fixperms

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1 \
http://pypi.debian.net/Werkzeug/Werkzeug-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-werkzeug 0.11.10+dfsg1

=== debian/changelog ===
python-werkzeug (0.11.10+dfsg1-2) unstable; urgency=medium

  * d/{control,copyright}: Use my @debian.org email address
  * Use local copies of object.inv for building documentation
    (Closes: #830612)
  * Removed pre-wheezy versioned depends

 -- Ondřej Nový <onovy@debian.org>  Mon, 11 Jul 2016 07:30:48 +0200

python-werkzeug (0.11.10+dfsg1-1) unstable; urgency=medium

  * New upstream release

 -- Ondřej Nový <novy@ondrej.org>  Wed, 25 May 2016 22:33:48 +0200

python-werkzeug (0.11.9+dfsg1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * New upstream release
  * Fixed VCS URL (https)
  * d/watch: Moved from pypi to github, which contains Werkzeug theme
  * d/copyright
    - Fixed Files-Excluded for new upstream release
    - Added myself to Debian part
  * Added AUTHORS file to all binary packages
  * Added myself as uploader
  * Standards-Version is 3.9.8 now (no change)
  * X-Python-Version bumped to 2.6
  * Changed description of Py2/Py3/docs packages to distinguish between them
  * Enabled autopkgtest-pkg-python testsuite
  * Changed Conflicts to Breaks for -doc package

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 04 May 2016 22:53:02 +0200

=== debian/control ===
Source: python-werkzeug
Section: python
Priority: optional
Maintainer: Python Modules Packaging Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Piotr Ożarowski <piotr@debian.org>,
           Ondřej Nový <onovy@debian.org>,
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9), dh-python, python-sphinx,
 python-all, python3-all,
 python-setuptools, python3-setuptools,
 python-doc,
# for tests:
 python-pytest, python3-pytest,
 python-requests, python3-requests,
 python-simplejson, python3-simplejson,
 python-nose, python3-nose,
 python-lxml, python3-lxml,
 redis-server, python-redis,
 memcached, python-pylibmc
Homepage: http://werkzeug.pocoo.org/
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-werkzeug.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-werkzeug.git
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.3
Testsuite: autopkgtest-pkg-python

Package: python-werkzeug
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, libjs-jquery
Recommends: python-openssl, python-pyinotify
Suggests: ipython, python-genshi, python-pkg-resources, python-lxml,
 python-greenlet, python-redis, python-pylibmc | python-memcache,
 python-werkzeug-doc
Description: collection of utilities for WSGI applications (Python 2.x)
 The Web Server Gateway Interface (WSGI) is a standard interface between web
 server software and web applications written in Python.
 .
 Werkzeug is a lightweight library for interfacing with WSGI. It features
 request and response objects, an interactive debugging system and a powerful
 URI dispatcher. Combine with your choice of third party libraries and
 middleware to easily create a custom application framework.
 .
 This package contains the Python 2.x module.

Package: python3-werkzeug
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, libjs-jquery
Recommends: python3-openssl, python3-pyinotify
Suggests: ipython3, python3-pkg-resources, python3-lxml,
 python-werkzeug-doc
Description: collection of utilities for WSGI applications (Python 3.x)
 The Web Server Gateway Interface (WSGI) is a standard interface between web
 server software and web applications written in Python.
 .
 Werkzeug is a lightweight library for interfacing with WSGI. It features
 request and response objects, an interactive debugging system and a powerful
 URI dispatcher. Combine with your choice of third party libraries and
 middleware to easily create a custom application framework.
 .
 This package contains the Python 3.x module.

Package: python-werkzeug-doc
Section: doc
Architecture: all
Priority: extra
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Replaces: python-werkzeug (<< 0.9.3+dfsg-2)
Breaks: python-werkzeug (<< 0.9.3+dfsg-2)
Description: documentation for the werkzeug Python library (docs)
 Werkzeug is a lightweight library for interfacing with WSGI. It features
 request and response objects, an interactive debugging system and a powerful
 URI dispatcher. Combine with your choice of third party libraries and
 middleware to easily create a custom application framework.
 .
 This package provides the Sphinx generated documentation for Werkzeug.

## python-werkzeug 0.11.15+dfsg1

=== debian/changelog ===
python-werkzeug (0.11.15+dfsg1-1+deb9u1) stretch; urgency=medium

  * Unique debugger PIN in Docker containers
    (Closes: #940935, CVE-2019-14806)

 -- Ondřej Nový <onovy@debian.org>  Wed, 23 Oct 2019 18:08:38 +0200

python-werkzeug (0.11.15+dfsg1-1) unstable; urgency=medium

  * New upstream release

 -- Ondřej Nový <onovy@debian.org>  Mon, 02 Jan 2017 11:08:13 +0100

python-werkzeug (0.11.13+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Bumped debhelper version to 10

 -- Ondřej Nový <onovy@debian.org>  Wed, 28 Dec 2016 22:39:18 +0100

python-werkzeug (0.11.11+dfsg1-1) unstable; urgency=medium

  * New upstream release

 -- Ondřej Nový <onovy@debian.org>  Thu, 08 Sep 2016 20:11:19 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Piotr Ożarowski <piotr@debian.org>,
            Ondřej Nový <onovy@debian.org>,
 Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9), dh-python, python-sphinx,
+Build-Depends: debhelper (>= 10), dh-python, python-sphinx,
  python-all, python3-all,
  python-setuptools, python3-setuptools,
  python-doc,

=== debian/rules ===
--- 
+++ 
@@ -21,11 +21,10 @@
 	dh_auto_clean
 
 override_dh_auto_test:
-# don't use memcached, not in main
 	set -ex; \
 		memcached -p 11211 -l 127.0.0.1 & \
-		trap "kill $$! || true" EXIT
-	http_proxy='' LC_ALL=C.UTF-8 dh_auto_test
+		trap "kill $$! || true" EXIT; \
+		http_proxy='' LC_ALL=C.UTF-8 dh_auto_test; \
 
 override_dh_auto_install:
 	dh_auto_install
@@ -34,3 +33,8 @@
 override_dh_fixperms:
 	find debian/ -name '*\.png' -exec chmod -x '{}' \;
 	dh_fixperms
+
+override_dh_installdocs:
+	dh_installdocs
+
+	dh_installdocs -A AUTHORS

## python-werkzeug 0.12.2+dfsg1

=== debian/changelog ===
python-werkzeug (0.12.2+dfsg1-2) unstable; urgency=medium

  * Uploading to unstable

 -- Ondřej Nový <onovy@debian.org>  Tue, 20 Jun 2017 12:41:46 +0200

python-werkzeug (0.12.2+dfsg1-1) experimental; urgency=medium

  * New upstream release

 -- Ondřej Nový <onovy@debian.org>  Sat, 03 Jun 2017 14:08:47 +0200

python-werkzeug (0.12.1+dfsg1-1) experimental; urgency=medium

  * New upstream release
  * Add python{,3}-termcolor and python{,3}-watchdog to Suggests
  * d/copyright: Bump copyright years

 -- Ondřej Nový <onovy@debian.org>  Sat, 08 Apr 2017 13:45:45 +0200

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
 Recommends: python-openssl, python-pyinotify
 Suggests: ipython, python-genshi, python-pkg-resources, python-lxml,
  python-greenlet, python-redis, python-pylibmc | python-memcache,
- python-werkzeug-doc
+ python-termcolor, python-watchdog, python-werkzeug-doc
 Description: collection of utilities for WSGI applications (Python 2.x)
  The Web Server Gateway Interface (WSGI) is a standard interface between web
  server software and web applications written in Python.
@@ -47,7 +47,7 @@
 Depends: ${python3:Depends}, ${misc:Depends}, libjs-jquery
 Recommends: python3-openssl, python3-pyinotify
 Suggests: ipython3, python3-pkg-resources, python3-lxml,
- python-werkzeug-doc
+ python3-termcolor, python3-watchdog, python-werkzeug-doc
 Description: collection of utilities for WSGI applications (Python 3.x)
  The Web Server Gateway Interface (WSGI) is a standard interface between web
  server software and web applications written in Python.

## python-werkzeug 0.14.1%2Bdfsg1

=== debian/changelog ===
python-werkzeug (0.14.1+dfsg1-4+deb10u1) buster; urgency=medium

  * Unique debugger PIN in Docker containers
    (Closes: #940935, CVE-2019-14806)

 -- Ondřej Nový <onovy@debian.org>  Wed, 23 Oct 2019 17:48:51 +0200

python-werkzeug (0.14.1+dfsg1-4) unstable; urgency=medium

  * Don't run xprocess tests without xprocess (Closes: #915776)

 -- Ondřej Nový <onovy@debian.org>  Fri, 21 Dec 2018 21:02:47 +0100

python-werkzeug (0.14.1+dfsg1-3) unstable; urgency=medium

  * Move documentation back to /usr/share/python-werkzeug-doc and keep
    symlinks from /usr/share/python{,3}-werkzeug/ (Closes: #910211)

 -- Ondřej Nový <onovy@debian.org>  Fri, 05 Oct 2018 10:20:18 +0200

python-werkzeug (0.14.1+dfsg1-2) unstable; urgency=medium

  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Bump debhelper compat level to 11
  * Bump standards version to 4.2.1 (no changes)
  * Add upstream metadata

 -- Ondřej Nový <onovy@debian.org>  Sat, 29 Sep 2018 20:04:43 +0200

python-werkzeug (0.14.1+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Don't reset http{,s}_proxy, pybuild sets it correctly
  * Use Python 3 version of Sphinx for building docs
  * Standards-Version is 4.1.3 now (no changes needed)

 -- Ondřej Nový <onovy@debian.org>  Tue, 09 Jan 2018 14:37:11 +0100

python-werkzeug (0.13+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Remove Priority: extra which is deprecated
  * Standards-Version is 4.1.2 now
  * d/copyright: Fixed for new release

 -- Ondřej Nový <onovy@debian.org>  Sat, 09 Dec 2017 14:17:13 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Python Modules Packaging Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Piotr Ożarowski <piotr@debian.org>,
            Ondřej Nový <onovy@debian.org>,
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 10), dh-python, python-sphinx,
+Standards-Version: 4.2.1
+Build-Depends: debhelper (>= 11.1.4~), dh-python, python3-sphinx,
  python-all, python3-all,
  python-setuptools, python3-setuptools,
  python-doc,
@@ -18,10 +18,8 @@
  redis-server, python-redis,
  memcached, python-pylibmc
 Homepage: http://werkzeug.pocoo.org/
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-werkzeug.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-werkzeug.git
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.3
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-werkzeug.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-werkzeug
 Testsuite: autopkgtest-pkg-python
 
 Package: python-werkzeug
@@ -62,7 +60,6 @@
 Package: python-werkzeug-doc
 Section: doc
 Architecture: all
-Priority: extra
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Replaces: python-werkzeug (<< 0.9.3+dfsg-2)
 Breaks: python-werkzeug (<< 0.9.3+dfsg-2)

=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,6 @@
 
 export PYBUILD_NAME=werkzeug
 export PYBUILD_TEST_PYTEST=1
-# disable some tests as pytest.xprocess is not yet packaged
-export PYBUILD_TEST_ARGS={dir}/tests -k-tests/contrib/test_cache.py
 
 %:
 	dh $@ --with python2,python3,sphinxdoc --buildsystem pybuild
@@ -24,17 +22,20 @@
 	set -ex; \
 		memcached -p 11211 -l 127.0.0.1 & \
 		trap "kill $$! || true" EXIT; \
-		http_proxy='' LC_ALL=C.UTF-8 dh_auto_test; \
+		LC_ALL=C.UTF-8 dh_auto_test; \
 
 override_dh_auto_install:
 	dh_auto_install
-	make documentation
+	PYTHONPATH=. python3 -m sphinx -b html docs/ debian/python-werkzeug-doc/usr/share/doc/python-werkzeug-doc/html/
 
 override_dh_fixperms:
 	find debian/ -name '*\.png' -exec chmod -x '{}' \;
 	dh_fixperms
 
 override_dh_installdocs:
-	dh_installdocs
+	dh_installdocs --doc-main-package=python-werkzeug-doc -ppython-werkzeug-doc
 
 	dh_installdocs -A AUTHORS
+
+override_dh_installexamples:
+	dh_installexamples --doc-main-package=python-werkzeug-doc -ppython-werkzeug-doc

## python-werkzeug 0.14.1+dfsg1

=== Makefile ===
documentation:
	@(cd docs; make html)

release:
	python scripts/make-release.py

test:
	pytest

tox-test:
	tox

coverage:
	@(coverage run --module pytest $(TEST_OPTIONS) $(TESTS))

doctest:
	@(cd docs; sphinx-build -b doctest . _build/doctest)

upload-docs:
	$(MAKE) -C docs html dirhtml latex
	$(MAKE) -C docs/_build/latex all-pdf
	cd docs/_build/; mv html werkzeug-docs; zip -r werkzeug-docs.zip werkzeug-docs; mv werkzeug-docs html
	rsync -a docs/_build/dirhtml/ flow.srv.pocoo.org:/srv/websites/werkzeug.pocoo.org/docs/
	rsync -a docs/_build/latex/Werkzeug.pdf flow.srv.pocoo.org:/srv/websites/werkzeug.pocoo.org/docs/
	rsync -a docs/_build/werkzeug-docs.zip flow.srv.pocoo.org:/srv/websites/werkzeug.pocoo.org/docs/werkzeug-docs.zip

=== debian/changelog ===
python-werkzeug (0.14.1+dfsg1-1ubuntu0.2) bionic-security; urgency=medium

  * SECURITY UPDATE: Shadow cookie with nameless cookie
    - debian/patches/CVE-2023-23934.patch: don't strip leading = when
      parsing cookie.
    - CVE-2023-23934
  * SECURITY UPDATE: DoS when processing unlimited multipart form data parts
    - debian/patches/CVE-2023-25577.patch: limit the maximum number of
      multipart form parts.
    - CVE-2023-25577

 -- Fabian Toepfer <fabian.toepfer@canonical.com>  Fri, 10 Mar 2023 14:56:53 +0100

python-werkzeug (0.14.1+dfsg1-1ubuntu0.1) bionic-security; urgency=medium

  * SECURITY UPDATE: Insufficient randomness in PIN
    - debian/patches/CVE-2019-14806.patch: make an unique debugger pin
      in Docker containers werkzeub/debub/__init__.py.
    - CVE-2019-14806

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Mon, 30 Nov 2020 10:24:10 -0300

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: python-werkzeug
 Section: python
 Priority: optional
-Maintainer: Python Modules Packaging Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Python Modules Packaging Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Piotr Ożarowski <piotr@debian.org>,
            Ondřej Nový <onovy@debian.org>,
-Standards-Version: 4.2.1
-Build-Depends: debhelper (>= 11.1.4~), dh-python, python3-sphinx,
+Standards-Version: 4.1.3
+Build-Depends: debhelper (>= 10), dh-python, python3-sphinx,
  python-all, python3-all,
  python-setuptools, python3-setuptools,
  python-doc,
@@ -18,8 +19,10 @@
  redis-server, python-redis,
  memcached, python-pylibmc
 Homepage: http://werkzeug.pocoo.org/
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-werkzeug.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-werkzeug
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-werkzeug.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-werkzeug.git
+X-Python-Version: >= 2.6
+X-Python3-Version: >= 3.3
 Testsuite: autopkgtest-pkg-python
 
 Package: python-werkzeug

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,8 @@
 
 export PYBUILD_NAME=werkzeug
 export PYBUILD_TEST_PYTEST=1
+# disable some tests as pytest.xprocess is not yet packaged
+export PYBUILD_TEST_ARGS={dir}/tests -k-tests/contrib/test_cache.py
 
 %:
 	dh $@ --with python2,python3,sphinxdoc --buildsystem pybuild
@@ -26,16 +28,13 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	PYTHONPATH=. python3 -m sphinx -b html docs/ debian/python-werkzeug-doc/usr/share/doc/python-werkzeug-doc/html/
+	PYTHONPATH=. sphinx-build -b html docs/ debian/python-werkzeug-doc/usr/share/doc/python-werkzeug-doc/html/
 
 override_dh_fixperms:
 	find debian/ -name '*\.png' -exec chmod -x '{}' \;
 	dh_fixperms
 
 override_dh_installdocs:
-	dh_installdocs --doc-main-package=python-werkzeug-doc -ppython-werkzeug-doc
+	dh_installdocs
 
 	dh_installdocs -A AUTHORS
-
-override_dh_installexamples:
-	dh_installexamples --doc-main-package=python-werkzeug-doc -ppython-werkzeug-doc

## python-werkzeug 0.16.1%2Bdfsg1

=== debian/changelog ===
python-werkzeug (0.16.1+dfsg1-2ubuntu0.2) focal-security; urgency=medium

  * SECURITY UPDATE: remote code execution
    - debian/patches/CVE-2024-34069.patch: restrict debugger trusted hosts
    - CVE-2024-34069

 -- Fabian Toepfer <fabian.toepfer@canonical.com>  Tue, 28 May 2024 16:21:16 +0200

python-werkzeug (0.16.1+dfsg1-2ubuntu0.1) focal-security; urgency=medium

  * SECURITY UPDATE: Shadow cookie with nameless cookie
    - debian/patches/CVE-2023-23934.patch: don't strip leading = when
      parsing cookie.
    - CVE-2023-23934
  * SECURITY UPDATE: DoS when processing unlimited multipart form data parts
    - debian/patches/CVE-2023-25577.patch: limit the maximum number of
      multipart form parts.
    - CVE-2023-25577

 -- Fabian Toepfer <fabian.toepfer@canonical.com>  Fri, 10 Mar 2023 13:46:44 +0100

python-werkzeug (0.16.1+dfsg1-2) unstable; urgency=medium

  * Drop python2 support; Closes: #938261

 -- Sandro Tosi <morph@debian.org>  Fri, 27 Mar 2020 10:10:50 -0400

python-werkzeug (0.16.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Add python3-pytest-timeout to B-D.
  * Workaround missing python-pytest-timeout for Python 2 tests.
  * Bump Standards-Version to 4.5.0 (no changes).
  * d/control: Add Rules-Requires-Root: no.

 -- Ondřej Nový <onovy@debian.org>  Thu, 30 Jan 2020 10:15:01 +0100

python-werkzeug (0.16.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Enable sphinx-issues extension.

 -- Ondřej Nový <onovy@debian.org>  Tue, 29 Oct 2019 06:18:26 +0100

python-werkzeug (0.15.6+dfsg1-1) unstable; urgency=medium

  * New upstream release (Closes: #940935, CVE-2019-14806)
  * Bump debhelper compat level to 12 and use debhelper-compat
  * wrap-and-sort -ast
  * Drop upstream applied patches:
    - 0002-Use-local-copies-of-object.inv-for-building-document.patch
    - xprocess-skip.patch
  * Add python3-pallets-sphinx-themes to B-D
  * Skip test_windows_get_args_for_reloading test: It doesn't work
  * d/copyright:
    - Fix upstream licensing for new upstream release
    - Bump my copyright years
  * d/rules: Install docs inside override_dh_sphinxdoc and not
    override_dh_install
  * Bump Standards-Version to 4.4.1.
  * Disable sphinx-issues extension until python-sphinx-issues hits unstable.

 -- Ondřej Nový <onovy@debian.org>  Wed, 23 Oct 2019 17:32:04 +0200
